uk.gov.hmrc.play.scheduling

# RunningOfScheduledJobs

###
Related Doc: package scheduling

#### trait RunningOfScheduledJobs extends GlobalSettings

Linear Supertypes
GlobalSettings, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RunningOfScheduledJobs
2. GlobalSettings
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val scheduledJobs: Seq[ScheduledJob]

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def beforeStart(app: Application): Unit

   Definition Classes
     GlobalSettings

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def doFilter(next: EssentialAction): EssentialAction

   Definition Classes
     GlobalSettings

8. #### def doFilter(next: (RequestHeader) ⇒ Handler): (RequestHeader) ⇒ Handler

   Definition Classes
     GlobalSettings

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### val httpConfigurationCache: (Application) ⇒ HttpConfiguration

    Definition Classes
      GlobalSettings

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def onBadRequest(request: RequestHeader, error: String): Future[Result]

    Definition Classes
      GlobalSettings

20. #### def onError(request: RequestHeader, ex: Throwable): Future[Result]

    Definition Classes
      GlobalSettings

21. #### def onHandlerNotFound(request: RequestHeader): Future[Result]

    Definition Classes
      GlobalSettings

22. #### def onRequestReceived(request: RequestHeader): (RequestHeader, Handler)

    Definition Classes
      GlobalSettings

23. #### def onRouteRequest(request: RequestHeader): Option[Handler]

    Definition Classes
      GlobalSettings

24. #### def onStart(app: Application): Unit

    Definition Classes
      RunningOfScheduledJobs → GlobalSettings

25. #### def onStop(app: Application): Unit

    Definition Classes
      RunningOfScheduledJobs → GlobalSettings

26. #### def scheduler(app: Application): Scheduler

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from GlobalSettings

### Inherited from AnyRef

### Inherited from Any

### Ungrouped